//CFESMainMenu - [2020-04-13 11:57:46]
#ifndef _CFESMAINMENU_H_
#define _CFESMAINMENU_H_

#include "CFEScreen.h"
#include "CUITileBasic.h"
#include "CUITileSideStoryTicket.h"

/*
0012E220 CFESMainMenu::CFESMainMenu()
0012E24C CFESMainMenu::~CFESMainMenu()
0012E250 CFESMainMenu::~CFESMainMenu()
0012E260 CFESMainMenu::Init()
0012E484 CFESMainMenu::GetPosterH()
0012E4AC CFESMainMenu::TryToAddSideStoryButton()
0012E69C CFESMainMenu::ShowCrossPromotion()
0012E7C8 CFESMainMenu::SetupFacebookTile()
0012EA30 CFESMainMenu::Exit()
0012EA34 CFESMainMenu::ContinueCB(int,void *)
0012EA48 CFESMainMenu::Process()
0012EBE0 CFESMainMenu::FacebookLoginComplete()
0012EC8C CFESMainMenu::Render2D()
0012EC9C CFESMainMenu::RenderMainMenu()
0012EE70 CFESMainMenu::Render2DHUD()
0012EE78 CFESMainMenu::GetPosterW()
*/

class CFESMainMenu : public CFEScreen {
public:
  CFESMainMenu();              //0012E220
  virtual ~CFESMainMenu();     //0012E24C 0012E250
  virtual void Init();         //0012E260
  virtual void Process();      //0012EA48
  virtual void Render2D();     //0012EC8C
  virtual void Render2DHUD();  //0012EE70
  virtual void Exit();         //0012EA30

  static void ContinueCB(int d_r0, void* p_v_r1);  //0012EA34
  static float GetPosterH();                       //0012E484
  static float GetPosterW();                       //0012EE7A
  static void RenderMainMenu();                    //0012EC9C
  void ShowCrossPromotion();                       //0012E69C
  bool TryToAddSideStoryButton();                  //0012E4AC
  void FacebookLoginComplete();                    //0012EBE0
  void SetupFacebookTile();                        //0012E7C8

  float filed_10;
  float filed_14;
  float filed_18;
  float filed_1c;
  char filed_20;
  CUITileBasic* p_cuitilebasic_24;
  CUITileBasic* p_cuitilebasic_28;                      //
  CUITileSideStoryTicket* p_cuitilesidestotyticket_2c;  //
  bool filed_30;                                        //= 0 maybe bool
  int filed_34;                                         //
  int* p_cuitilefacebookfriends_38;                     //
  bool filed_3c;
};

#endif  //_CFESMAINMENU_H_